Get details of a specific Kubernetes cluster
Returns cluster details. Set details=true to include node instances and attached storage volumes.
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
id
ID of the Kubernetes cluster
Query parameters
details
Include node instances and storage volumes in the response
Response
Kubernetes cluster details
id
Unique identifier for the cluster.
name
Human-readable name for the cluster.
region
Region the cluster is deployed in.
status
Current lifecycle state of the cluster.
kubernetesVersion
Kubernetes version the cluster is running.
createdAt
When the cluster was created.
package
Package label describing the per-node CPU/memory/disk preset.
description
Description of the cluster.
nodePool
Node-pool configuration for the cluster.
ipAddress
Public IP address attached to the cluster.
ipAddressId
Identifier of the public IP attached to the cluster.
deletedAt
When the cluster was deleted. Omitted if the cluster still exists.
nodes
Cluster nodes. Only included when details=true.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error